Skip to Content
avatar image
Former Member

JSPM Warning "not a valid update" while scanning inbox-directory

Hello Everybody,

we use NWDI to develop our own applications for Netweaver CE and to create the SCA-files, which we deploy using JSPM. The SCA with software-component in version 1.0 was successfully installed with JSPM.

Now we have the same software-component in version 2.0 and try to install it, but JSPM does not recognize it neither as an update nor as a new component.

In the scan_inbox.log of JSPM i found this entry:

Dec 1, 2009 5:54:52 PM Warning: Delivery unit with version 2.0.0.0 located in /usr/sap/trans/EPS/in/COMPONENT02_0-20091127.sca is not a valid update for component mycomp.com/COMPONENT with version 1.0.0.1.

I tried using JSPM with option -config=/jspm/forceMode=true -config=/jspm/deployVersionRule=updateAll and set the maximum rights of the SCA-file on file system, but nothing helped.

When i undeploy version 1.0 manually using NWDS, version 2.0 is recognized and can be installed by JSPM, so it can't be a corrupt file or something like that. But undeploying with NWDS is just a workaround, not a solution for the problem and no option for our customers.

I tried the deployment on Netweaver CE 7.1 and CE 7.1 EHP 1 with the same behavior of JSPM.

JSPM itself is not under NWDI-Control.

I already read the JSPM manual, searched the forum and looked out for SAP notes, but I found nothing about the mentioned warning or any hint how to define a "valid update".

Any ideas or suggestions, what else can I do?

Thanks in advance and best regards,

CW

Add comment
10|10000 characters needed characters exceeded

  • Get RSS Feed

1 Answer

  • Best Answer
    avatar image
    Former Member
    Dec 07, 2009 at 02:06 PM

    Hai,

    Update JSPM and then try.

    Is the version 1 component showing in the deployed components tab page?

    If not synchronise the database and the SDM repository as follows.

    https://cw.sdn.sap.com/cw/docs/DOC-25869

    Regards,

    Yoganand.V

    Add comment
    10|10000 characters needed characters exceeded

    • Former Member Former Member

      Hi Everybody,

      meanwhile we found out, that it is possible to install a higher release of a software component by using the option "Business Package" in JSPM.

      Best regards,

      CW